package com.wms_main.model.vo.wms;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;

/**
 * 工作下发界面查询选项
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class KateWorkOptionsVo {
    /**
     * 工单号
     */
    @JsonProperty("workOrder")
    private List<String> workOrder = Collections.emptyList();
    /**
     * 成品号
     */
    @JsonProperty("productId")
    private List<String> productId = Collections.emptyList();
    /**
     * 单片号
     */
    @JsonProperty("singleProductId")
    private List<String> singleProductId = Collections.emptyList();
    /**
     * 料盒号
     */
    @JsonProperty("boxNo")
    private List<String> boxNo = Collections.emptyList();
    /**
     * 原材料号
     */
    @JsonProperty("goodsId")
    private List<String> goodsId = Collections.emptyList();
}
